Loading...
Searching...
No Matches
pcl::AdaptiveRangeCoder Class Reference

AdaptiveRangeCoder compression class More...

`#include <pcl/compression/entropy_range_coder.h>`

## Public Member Functions

| AdaptiveRangeCoder ()=default
| Empty constructor.
virtual | ~AdaptiveRangeCoder ()=default
| Empty deconstructor.
unsigned long | encodeCharVectorToStream (const std::vector< char > &inputByteVector_arg, std::ostream &outputByteStream_arg)
| Encode char vector to output stream.
unsigned long | decodeStreamToCharVector (std::istream &inputByteStream_arg, std::vector< char > &outputByteVector_arg)
| Decode char stream to output vector.

## Protected Types

using | DWord = std::uint32_t

## Detailed Description

AdaptiveRangeCoder compression class

Note
  This class provides adaptive range coding functionality.
  Its symbol probability/frequency table is adaptively updated during encoding

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 65 of file entropy_range_coder.h.

## Member Typedef Documentation

## DWord

using pcl::AdaptiveRangeCoder::DWord = std::uint32_t

protected

Definition at line 94 of file entropy_range_coder.h.

## Constructor & Destructor Documentation

## AdaptiveRangeCoder()

pcl::AdaptiveRangeCoder::AdaptiveRangeCoder | ( |  | ) |

default

Empty constructor.

## ~AdaptiveRangeCoder()

virtual pcl::AdaptiveRangeCoder::~AdaptiveRangeCoder | ( |  | ) |

virtual default

Empty deconstructor.

## Member Function Documentation

## decodeStreamToCharVector()

unsigned long pcl::AdaptiveRangeCoder::decodeStreamToCharVector | ( | std::istream & | inputByteStream_arg,
|  | std::vector< char > & | outputByteVector_arg )

Decode char stream to output vector.

Parameters

  inputByteStream_arg | input stream of compressed data
  outputByteVector_arg | decompressed output vector

Returns
  amount of bytes read from input stream

Definition at line 129 of file entropy_range_coder.hpp.

## encodeCharVectorToStream()

unsigned long pcl::AdaptiveRangeCoder::encodeCharVectorToStream | ( | const std::vector< char > & | inputByteVector_arg,
|  | std::ostream & | outputByteStream_arg )

Encode char vector to output stream.

Parameters

  inputByteVector_arg | input vector
  outputByteStream_arg | output stream containing compressed data

Returns
  amount of bytes written to output stream

Definition at line 51 of file entropy_range_coder.hpp.

The documentation for this class was generated from the following files:

- pcl/compression/entropy_range_coder.h
- pcl/compression/impl/entropy_range_coder.hpp